"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisRxjsUtil = exports.Greeter = void 0;
var env_1 = __importDefault(require("./env"));
var env_2 = require("./env");
var url_util_1 = require("./cloudinary/url.util");
var logger_no_dep_1 = require("./logger.no.dep");
var logger_no_dep_2 = __importDefault(require("./logger.no.dep"));
var debug_operator_1 = require("./rxjs/debug.operator");
var logger_1 = require("./logger");
var server_messages_1 = require("./express/server.messages");
var strapi_middleware_1 = require("./express/middleware/strapi.middleware");
var decorate_request_1 = require("./express/middleware/decorate.request");
var net_util_1 = require("./net/net.util");
var Greeter = function (name) { return "Hello " + name; };
exports.Greeter = Greeter;
exports.RedisRxjsUtil = {
    env: env_1.default,
    envN: env_2.envN,
    Cloudinary: {
        extractRelativeUrl: url_util_1.extractRelativeUrl,
    },
    Logger: {
        logger: logger_1.logger,
        stream: logger_1.stream,
    },
    NET: {
        getIPAdress: net_util_1.getIPAdress,
    },
    Express: {
        displaySuccessMessage: server_messages_1.displaySuccessMessage,
        createStrapiMiddleware: strapi_middleware_1.createStrapiMiddleware,
        createRequestDecorator: decorate_request_1.createRequestDecorator,
    },
    RTLogger: {
        logger: logger_no_dep_2.default,
        setLogger: logger_no_dep_1.setLogger,
    },
    RX: {
        debugKeyRx: debug_operator_1.debugKeyRx,
        debugMessageRx: debug_operator_1.debugMessageRx,
        debugrx: debug_operator_1.debugrx,
    },
};
